function abcdeghdot=Neurospora_System(t, abcdegh, param);
    //f = zeros (7,1);
A=param.A;
Ap=param.Ap;
S1=param.S1;
S3=param.S3;
S4=param.S4;
D1=param.D1; 
D3=param.D3;
C1=param.C1;
L1=param.L1;
L3=param.L3;
D4=param.D4;
D6=param.D6; 
D7=param.D7;
D8=param.D8;
P=param.P;
vp=param.vp;
u1=param.u1;
f0=param.f0;
n=param.n; 
C2=param.C2;
m=param.m;
E2=param.E2;
fG=param.fG;
v1=param.v1;

a = abcdegh(1,:);
b = abcdegh(2,:);
c = abcdegh(3,:);
d = abcdegh(4,:);
e = abcdegh(5,:);
g = abcdegh(6,:);
h = abcdegh(7,:);


    adot = (A*((fG)-abcdegh(1))*(abcdegh(4)^n))-((Ap)*abcdegh(1));                                            //for f'1
    bdot = (S3*(fG-abcdegh(1)))+(S4*abcdegh(1))-(D3*abcdegh(2));                                          //for f'r
    cdot = (L3*abcdegh(2))-(D6*abcdegh(3));                                                         //for f'p
    ddot = (E2*abcdegh(5))-(D8*abcdegh(4))-(n*A*(fG-abcdegh(1))*(abcdegh(4)^n))+(n*Ap*abcdegh(1))-(P*abcdegh(4)*(abcdegh(3)^m))   //for w'
    edot = (L1*abcdegh(6))-(D4*abcdegh(5))-(E2*abcdegh(5))                                                //for u'p
    gdot = (C1*abcdegh(7)*abcdegh(3))-(D7*abcdegh(6))                                                     //for u'r1
    hdot = v1-(D1*abcdegh(7))-(C1*abcdegh(7)*abcdegh(3))                                                  //for u'r0
    abcdeghdot = [adot; bdot; cdot; ddot; edot; gdot; hdot];
endfunction 
